## The **S**ymbolic **C**onvex **A**nalysis **T**oolkit (SCAT)

The **S**ymbolic **C**onvex **A**nalysis **T**oolkit (SCAT) is a **Maple** package for symbolic computation of various objects from convex anlysis including Fenchel conjugates and subdifferentials. The package was developed by Borwein & Hamilton [1,2]. 

## Getting Started with SCAT

The following files are contained in the ``scat`` directory of this repository:
- ``scat.mpl`` - This is the original SCAT package itself. In order to use the package, this should be loaded within a Maple worksheet.
- ``howto.mw`` - This Maple worksheet gives an explaination and provides documentation of the important commands within the SCAT. Some basic examples are also provided within.
- ``TenClassicExamples.mws``- This Maple worksheet contains ten classical illustrations of the abilities of the SCAT package. It is a good place to start to learn the package's syntax.

## Symbolic Monotone Operators

The following files are contained in the ``SymMO`` directory of this repository:
- ``scat.mpl`` - A slightly modified version of the SCAT which is better equipped to deal with monotone operators. In order to use the package, this should be loaded within a Maple worksheet.
- ``example.mws`` - This Maple worksheet contains the examples which were presented in the final section of the SVAA submission.

## Note for Georg-August-Universität Göttingen Users: Accessing Maple

Information on how to access GAUG's version of Maple (german only) can be found [here](https://info.gwdg.de/dokuwiki/doku.php?id=de:services:application_services:mathematical_numerical_software:maple_de).


## References

[1]: Borwein, J.M. & Hamilton, C.H.: [Symbolic Fenchel Conjugation](http://link.springer.com/article/10.1007/s10107-007-0134-4).  Math. Program. (2009) 116: 17. doi:10.1007/s10107-007-0134-4

[2]: Hamilton, C.H.: [Symbolic convex analysis](http://docserver.carma.newcastle.edu.au/296/). Masters thesis, Simon Fraser University, (2005).